//Titel:        JTree
//Version:       1.0
//Copyright:     Copyright (c) 2003, 06
//Autor:         Dipl.-Inf., Dipl.-Ing. (FH) Michael Wilhelm
//Organisation:  HS Harz
//Beschreibung:  Einführung in JTree

// Beispiel mit JTree, Konstruktor mit einem Array
// Alle Knoten werden als Liste dargestellt

import java.awt.*;
import javax.swing.*;

import java.awt.event.*;


import javax.swing.tree.DefaultMutableTreeNode;

import java.io.*;

public class Tree03 extends JFrame {

  JTree jTree1;

  public Tree03() {
    setSize(400, 300);
    setTitle("JTree 3. Beispiel");
    setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
    setGUI();
  }

  private void setGUI() {
    String[] v = new String[20];

    for (int i=0; i<20; i++) {
      v[i] = new String( "Knoten "+Integer.toString(i+1) );
    }

    this.getContentPane().setLayout(  new BorderLayout() );

    jTree1 = new javax.swing.JTree(v);
    jTree1.setFont( new Font("Arial", Font.BOLD,22)  );

    this.getContentPane().add( new JScrollPane(jTree1) , BorderLayout.CENTER);
  } // setGUI


  public static void main(String[] args) {
    Tree03 frame = new Tree03();
    frame.setVisible(true);
 }


}


